Bug 391441 - graphical display manager makes xorg.conf useless
graphical display manager makes xorg.conf useless
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 22:45 EST by Rand All
Modified: 2009-01-09 02:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:28:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rand All 2007-11-19 22:45:11 EST
Description of problem:
On Fedora 7 I had a custom xorg.conf file.  When I upgraded to Fedora 8, I moved
the custom xorg.conf to the new installation.  Under Fedora 8 the video settings
came out wrong, so I tried to use the GUI to reconfigure X.
The GUI display config utility created an xorg.conf that made X unable to start.
See http://myweb.stedwards.edu/ralexan/fedora_bug.html
for the old, custom config file, the new config that the GUI produces, and the
log file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Place above custom xorg.conf file in /etc/X11
2.Open System > Administration > Display
3.On settings tab, resolution is listed as 640x480 for primary monitor, which is
wrong.  Real resolution is 1600x1200.  Change resolution to 1600x1200.
4.Under Dual Head tab, util lists second video card as nvidia GeForce.  This is
wrong.  nVidia is primary card, ATI radeon is secondary card.  Change secondary
card to ATI.
5. Resolution on second screen is listed as 640x480.  Change to 1024x768.
6.Change Desktop Layout to spanning desktop.
7.Click OK.
8.Restart X.  X fails to start with the errors listed at the URL above.
  
Actual results:
X fails to start.

Expected results:
X should start with new correct settings.

Additional info:
Comment 1 Bug Zapper 2008-11-26 03:35:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 02:28:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.